<eui-dialog
  #dialog
  width="43.8rem"
  [title]="translations.title | translate"
  (close)="onDialogClose()"
  (clickOutside)="onDialogClose()">
  <p class="eui-u-mv-none"
     [innerHTML]="translations.content | translate">
  </p>
  <eui-dialog-footer>
    <div class="eui-u-flex">
      <div class="eui-u-flex eui-u-flex-start">
        <input id="download-all-checkbox"
               aria-label="default checkbox unchecked"
               name="default-checkbox"
               [(ngModel)]="dontShowAgain"
               euiInputCheckBox/>
        <label euiLabel for="download-all-checkbox">
          {{ translations.checkboxLabel | translate }}
        </label>
      </div>
      <div class="eui-u-flex eui-u-flex-justify-content-end">
        <button
          euiButton
          [euiOutline]="true"
          class="eui-u-ml-s"
          (click)="onDialogClose(false,true)">
          {{ translations.cancelButton | translate }}
        </button>
        <button
          euiButton
          class="eui-u-ml-s"
          (click)="onDialogClose(true)"
          euiBranding>
          {{ translations.downloadButton | translate }}
        </button>
      </div>
    </div>
  </eui-dialog-footer>
</eui-dialog>
